libdar::cat_etoile::bool_tags Struct Reference

bitfield used to record pointed to inode information More...

## Public Attributes

unsigned | counted: 1
| whether the inode has been counted More...
unsigned | wrote: 1
| whether the inode has its data copied to archive More...
unsigned | dumped: 1
| whether the inode information has been dumped in the catalogue More...
unsigned | reduceable: 1
| whether the inode can be reduce to normal inode More...
unsigned | __pad0__: 4
| padding to get byte boundary and reserved for future use. More...

## Detailed Description

bitfield used to record pointed to inode information

Definition at line 86 of file cat_etoile.hpp.

## Constructor & Destructor Documentation

## bool_tags()

libdar::cat_etoile::bool_tags::bool_tags | ( |  | ) |

inline

Definition at line 94 of file cat_etoile.hpp.

## Member Data Documentation

## __pad0__

unsigned libdar::cat_etoile::bool_tags::__pad0__

padding to get byte boundary and reserved for future use.

Definition at line 92 of file cat_etoile.hpp.

## counted

unsigned libdar::cat_etoile::bool_tags::counted

whether the inode has been counted

Definition at line 88 of file cat_etoile.hpp.

## dumped

unsigned libdar::cat_etoile::bool_tags::dumped

whether the inode information has been dumped in the catalogue

Definition at line 90 of file cat_etoile.hpp.

## reduceable

unsigned libdar::cat_etoile::bool_tags::reduceable

whether the inode can be reduce to normal inode

Definition at line 91 of file cat_etoile.hpp.

## wrote

unsigned libdar::cat_etoile::bool_tags::wrote

whether the inode has its data copied to archive

Definition at line 89 of file cat_etoile.hpp.

The documentation for this struct was generated from the following file:

- cat_etoile.hpp